#pragma once
#include "types.h"

node* ADRparam(node* arg_node, info* arg_info);
node* ADRvardecl(node* arg_node, info* arg_info);
node* ADRdecls(node* arg_node, info* arg_info);

node* ADRdoRewrite(node* syntaxtree);